org.bdgenomics.adam.rich

# RichGenotype

#### class RichGenotype extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RichGenotype
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new RichGenotype(genotype: Genotype)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### val genotype: Genotype

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getType: GenotypeType

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### def isCalled: Boolean

    True if the genotype does not contain any alleles that are not called.

    True if the genotype does not contain any alleles that are not called. e.g. './.' or '0/.' in VCF

16. #### def isHet: Boolean

    True if we're het (observed alleles differ); if the ploidy is less than 2 or if any alleles are no-calls, this method will return false.

17. #### def isHom: Boolean

    True if all observed alleles are the same (regardless of whether they are ref or alt); if any alleles are no-calls, this method will return false.

18. #### def isHomAlt: Boolean

    True if all observed alleles are alt; if any alleles are no-calls, this method will return false.

19. #### def isHomRef: Boolean

    True if all observed alleles are ref; if any alleles are no-calls, this method will return false.

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def isNoCall: Boolean

    True if this genotype is not actually a genotype but a "no call" (e.

    True if this genotype is not actually a genotype but a "no call" (e.g. './.' in VCF). Also true for partial no call genotypes (e.g. '0/.' in VCF)

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def ploidy: Int

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped